package com.steering.mes.mcp.entity;
/**
 * 数据库表HTT_SIGNATURE所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-03-11
 */
@SuppressWarnings("serial")
public class HttSignatureEntity implements java.io.Serializable {
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 班组
     */
    private String colGroup = "";
    /**
     * 姓名
     */
    private String userName = "";
    /**
     * 路径
     */
    private String signRoute = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 0-上料 1-热处理炉 2-定径热矫冷矫 3-表面检验 4-探伤 5-下线
     */
    private String processNo = "";
    /**
     * 图片
     */
    private String image = "";
    /**
     * 操作人等级
     */
    private String useridGrade = "";
    /**
     * 操作员ID
     */
    private String userId = "";
    /**
     * 责任人
     */
    private String responsible = "";

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 姓名
     * @return value
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 姓名
     * @param userName value
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 路径
     * @return value
     */
    public String getSignRoute() {
        return signRoute;
    }

    /**
     * 路径
     * @param signRoute value
     */
    public void setSignRoute(String signRoute) {
        this.signRoute = signRoute;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 0-上料 1-热处理炉 2-定径热矫冷矫 3-表面检验 4-探伤 5-下线
     * @return value
     */
    public String getProcessNo() {
        return processNo;
    }

    /**
     * 0-上料 1-热处理炉 2-定径热矫冷矫 3-表面检验 4-探伤 5-下线
     * @param processNo value
     */
    public void setProcessNo(String processNo) {
        this.processNo = processNo;
    }

    /**
     * 图片
     * @return value
     */
    public String getImage() {
        return image;
    }

    /**
     * 图片
     * @param image value
     */
    public void setImage(String image) {
        this.image = image;
    }

    /**
     * 操作人等级
     * @return value
     */
    public String getUseridGrade() {
        return useridGrade;
    }

    /**
     * 操作人等级
     * @param useridGrade value
     */
    public void setUseridGrade(String useridGrade) {
        this.useridGrade = useridGrade;
    }

    /**
     * 操作员ID
     * @return value
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 操作员ID
     * @param userId value
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 责任人
     * @return value
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * 责任人
     * @param responsible value
     */
    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }
}